# 5.3.2. Aloha

There comes the question of when to transmit data, as networks operating in the unlicensed band cannot receive much indication from the network. Indeed, the duty-cycle, as we have seen, drastically limits messages from the network to the object. We will therefore rely on the properties of randomness. It's a bit like the robot vacuum cleaners you may have in your living room: either they do a complicated mapping of your apartment and can plan the optimal route, or they adopt a random move. It will take more time, but at the end of the day, the living room should be completely cleaned. The same goes for the networks, either the transmissions of the objects are well planned, or there should be a completely random behavior regarding the transmissions.

This phenomenon is not new, it was studied in the 1970s in the Hawaiian Islands where transmitters, spread over the different islands, could transmit short data in a random way. It was studied mathematically and its name, Aloha, has remained in the community of computer scientists and mathematicians to refer to a network where transmissions are made randomly without listening to the transmission medium beforehand. It is also assumed that if several transmissions overlap, all are scrambled and no message is correctly received.

In the video we took the analogy of people leaving a room. The people represent the messages and the door the transmission network. As with the messages, only one of which can be transmitted correctly, only one person at a time can leave the room. When the exit rate of people is low, the door has no impact on the exit time, if two people present themselves simultaneously, a narrow door will change their behavior, but they will both leave with a slightly longer delay. In the real life of Aloha networks, messages are not acknowledged and have to be retransmitted later.
However, if there is a crowd rushing to the exit, the number of people leaving the room will be very low or even zero.

In theory, if we consider the maximum capacity of the network, i.e. if each sender knew by magic the instant at which the message would arrive safely, Aloha's random transmission method would only allow the transmission of 18% of the maximum capacity. And this limit is the threshold of instability, if new messages arrive they will contribute to more jamming and performance will quickly drop as new messages arrive.

This knowledge of Aloha's behavior, allows to dimension a LoRaWAN network in a suitable way:

- The first rule is to avoid synchronization in data transmission.
Let's take a security system that must send at least one message per day to inform that it is still operational. If all these transmissions are sent at a specific time, for example 2:00 a.m., there is a good chance that they will interfere with each other. Therefore, when designing an application for the LoRaWAN network, it is always necessary to introduce some randomness by adding random delays before transmission.
- The system has also been designed to have several exit doors (using the analogy). The first one consists in randomly using a sub-band. By default there are 3 of them (In EU868), but they can easily be extended to 6. Moreover, as we have seen, transmissions can be made according to several spreading factors which are orthogonal to each other, i.e. the radio gateway is able to decode a message encoded in the different SFs at the same time. However, it should be remembered that from the equipment point of view, an increase in the SF results in an increase in its consumption and decrease in data rate.
- We must also consider that the messages are different from each other. As in our analogy, some people are stronger than others. The messages with the strongest power can be received by the radio gateway at the expense of others. This is called the **capture effect**. The message from an object closer to the radio gateway will have a better chance of being understood even if it is transmitted at the same time as that from a distant object.
- Finally, this capture effect offers a stability property to LoRaWAN networks. Indeed, it applies differently depending on the position of the radio gateways. So we have a virtuous circle. If the network operator notices that certain objects become inaccessible due to an increase in traffic in a region, he may position radio gateways near the objects that have lost their connectivity. This is possible since the objects do not attach to a particular radio gateway but broadcast their message into the surrounding electromagnetic space, and each gateway that has correctly decoded it forwards it to the LNS, which eliminates copies.

Cell phone networks work differently. Because they have their own dedicated and allocated frequencies, they can be used without constraints in both directions, without the risk of interference with other network operators. Operators can take over their time and frequency allocations mechanisms that drive a cell phone to transmit digitized voice or a data packet at a specific time. This transmission scheduling will lead in future 5G networks to better control transmission times in order to reduce latency, i.e. network crossing times.
